# Class SwipeController

The controller for the Mapswipe component.

- Defined in src/map/swipe.js:71
- Defined in src/map/swipe.js:259

#####
Index

### Properties

layer
map
swipeValue
$inject

### Methods

$onDestroy
$onInit
deactivate

##
Properties

### layer

layer: any

- Defined in src/map/swipe.js:89
- Defined in src/map/swipe.js:161

### map

map: Map

- Defined in src/map/swipe.js:84

### swipeValue

swipeValue: number

- Defined in src/map/swipe.js:100
- Defined in src/map/swipe.js:126
- Defined in src/map/swipe.js:144

### `Static`$inject

$inject: string[]

- Defined in src/map/swipe.js:259

##
Methods

### $onDestroy

- $onDestroy(): void

- #### Returns void

  - Defined in src/map/swipe.js:252

### $onInit

- $onInit(): void

- Init the controller

  #### Returns void

  - Defined in src/map/swipe.js:124

### deactivate

- deactivate(): void

- Allows you to deactivate the swiper on click of the close button.

  #### Returns void

  - Defined in src/map/swipe.js:160